﻿package implement

import (
	"code.fnuoos.com/EggPlanet/egg_models.git/src/dao"
	"code.fnuoos.com/EggPlanet/egg_models.git/src/model"
	zhios_order_relate_logx "code.fnuoos.com/EggPlanet/egg_models.git/utils/logx"
	"xorm.io/xorm"
)

func NewEggFriendCircleBasicDb(engine *xorm.Engine) dao.EggFriendCircleBasicDao {
	return &EggFriendCircleBasicDb{Db: engine}
}

type EggFriendCircleBasicDb struct {
	Db *xorm.Engine
}

func (e EggFriendCircleBasicDb) EggFriendCircleBasicGet() (*model.EggFriendCircleBasic, error) {
	var m model.EggFriendCircleBasic
	_, err := e.Db.Where("id >= ?", 1).Get(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err.Error())
	}
	return &m, nil
}
func (e EggFriendCircleBasicDb) EggFriendCircleBasicGetOne() (*model.EggFriendCircleBasic, error) {
	var m model.EggFriendCircleBasic
	has, err := e.Db.Where("id >= ?", 1).Get(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Error(err.Error())
	}
	if has == false {
		return nil, nil
	}
	return &m, nil
}

func (e EggFriendCircleBasicDb) EggFriendCircleBasicInsert(m *model.EggFriendCircleBasic) (int, error) {
	_, err := e.Db.InsertOne(m)
	if err != nil {
		return 0, zhios_order_relate_logx.Error(err.Error())
	}
	return m.Id, nil
}

func (e EggFriendCircleBasicDb) UpdateEggFriendCircleBasic(m *model.EggFriendCircleBasic, columns ...string) (int64, error) {
	affected, err := e.Db.Where("id =?", m.Id).Cols(columns...).Update(m)
	if err != nil {
		return 0, zhios_order_relate_logx.Error(err.Error())
	}
	return affected, nil
}
